Package com.xebialabs.xlrelease.events

## Class ReleaseVariablesUpdateOperation$

- java.lang.Object
- - scala.runtime.AbstractFunction3<java.util.List<Variable>,​java.util.List<Variable>,​java.lang.Object,​ReleaseVariablesUpdateOperation>
  - - com.xebialabs.xlrelease.events.ReleaseVariablesUpdateOperation$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function3<java.util.List<Variable>,​java.util.List<Variable>,​java.lang.Object,​ReleaseVariablesUpdateOperation>`

      public class ReleaseVariablesUpdateOperation$
      extends scala.runtime.AbstractFunction3<java.util.List<Variable>,​java.util.List<Variable>,​java.lang.Object,​ReleaseVariablesUpdateOperation>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ReleaseVariablesUpdateOperation$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReleaseVariablesUpdateOperation$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReleaseVariablesUpdateOperation` | `apply​(java.util.List<Variable> original, java.util.List<Variable> updated, boolean logDelete)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple3<java.util.List<Variable>,​java.util.List<Variable>,​java.lang.Object>>` | `unapply​(ReleaseVariablesUpdateOperation x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction3

      `curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Function3

      `apply`

- - ### Field Detail

    - #### MODULE$

          public static final ReleaseVariablesUpdateOperation$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### ReleaseVariablesUpdateOperation$

          public ReleaseVariablesUpdateOperation$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function3<java.util.List<Variable>,​java.util.List<Variable>,​java.lang.Object,​ReleaseVariablesUpdateOperation>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction3<java.util.List<Variable>,​java.util.List<Variable>,​java.lang.Object,​ReleaseVariablesUpdateOperation>`

    - #### apply

          public ReleaseVariablesUpdateOperation apply​(java.util.List<Variable> original,
                                                       java.util.List<Variable> updated,
                                                       boolean logDelete)

    - #### unapply

          public scala.Option<scala.Tuple3<java.util.List<Variable>,​java.util.List<Variable>,​java.lang.Object>> unapply​(ReleaseVariablesUpdateOperation x$0)